# HtmlColorLogger

Extends \DefaultLogger

Uses CSS class that must be defined in the HTML page where the Phing output is displayed.

If used with the -logfile option, the output will contain the text wrapped in html elements with those css classes.

The default classes used for differentiating the message levels can be changed by editing the phing/listener/defaults.properties file.

This file can contain 5 key/value pairs: HtmlColorLogger.ERROR_CLASS=_your_css_classname HtmlColorLogger.WARNING_CLASS=_your_css_classname HtmlColorLogger.INFO_CLASS=_your_css_classname HtmlColorLogger.VERBOSE_CLASS=_your_css_classname HtmlColorLogger.DEBUG_CLASS=_your_css_classname

This stems from the Ansi Color Logger done by Hans Lellelid:

author | Anton Stöckl anton@stoeckl.de (Phing HTML Color Logger)
author | Hans Lellelid hans@xmpl.org (Phing Ansi Color Logger)
author | Magesh Umasankar (Ant)
package | phing.listener
version | $Id: 5288eb0042a1c3bf2b1d34ed509a6c46adce87fd $

### Methods

## Construct a new default logger.

    __construct()

inherited

## Formats a time micro integer to human readable format.

    formatTime( $micros) : string

inherited static

### Arguments

#### $micros

``

### Response

`string`

## Get the message to return when a build failed.

    getBuildFailedMessage() : string

inherited

### Response

`string`

The classic "BUILD FAILED"

## Get the message to return when a build succeeded.

    getBuildSuccessfulMessage() : string

inherited

### Response

`string`

The classic "BUILD FINISHED"

## Print a message to the stdout.

    messageLogged(\BuildEvent $event)

inherited

see | \BuildEvent::getMessage()

### Arguments

#### $event

`\BuildEvent`

## Prints a message to console.

    printMessage(string $message, \OutputStream|resource $stream, integer $priority) : void

inherited

throws |

### Arguments

#### $message

`string`

The message to print. Should not be `null`.

#### $stream

`\OutputStream|resource`

The stream to use for message printing.

#### $priority

`integer`

The priority of the message. (Ignored in this implementation.)

## Set the colors to use from a property file specified in the special phing property file "phing/listener/defaults.properties".

    setColors()

final

## Sets this logger to produce emacs (and other editor) friendly output.

    setEmacsMode(boolean $emacsMode)

inherited

### Arguments

#### $emacsMode

`boolean`

`true` if output is to be unadorned so that emacs and other editors can parse files names, etc.

## Sets the error stream.

    setErrorStream(\OutputStream $err)

inherited

see | \BuildLogger#setErrorStream()

### Arguments

#### $err

`\OutputStream`

## Set the msgOutputLevel this logger is to respond to.

    setMessageOutputLevel(integer $level)

inherited

Only messages with a message level lower than or equal to the given level are output to the log.

Constants for the message levels are in Project.php. The order of the levels, from least to most verbose, is:

- Project::MSG_ERR
- Project::MSG_WARN
- Project::MSG_INFO
- Project::MSG_VERBOSE
- Project::MSG_DEBUG

The default message level for DefaultLogger is Project::MSG_ERR.

see | \BuildLogger#setMessageOutputLevel()

### Arguments

#### $level

`integer`

The logging level for the logger.

## Sets the output stream.

    setOutputStream(\OutputStream $output)

inherited

see | \BuildLogger#setOutputStream()

### Arguments

#### $output

`\OutputStream`

## Fired when a task has finished. We don't need specific action on this event. So the methods are empty.

    taskFinished(\BuildEvent $event)

inherited

see | \BuildEvent::getException()

### Arguments

#### $event

`\BuildEvent`

The BuildEvent

### Constants

## CLASS_ERR

    CLASS_ERR

## CLASS_VERBOSE

    CLASS_VERBOSE

## CLASS_DEBUG

    CLASS_DEBUG

## CLASS_WARN

    CLASS_WARN

## CLASS_INFO

    CLASS_INFO

## PREFIX

    PREFIX

## SUFFIX

    SUFFIX

## END_COLOR

    END_COLOR

## Size of the left column in output. The default char width is 12.

    LEFT_COLUMN_SIZE

inherited

var |

### Properties

## errColor

    errColor :

### Type(s)

``

## warnColor

    warnColor :

### Type(s)

``

## infoColor

    infoColor :

### Type(s)

``

## verboseColor

    verboseColor :

### Type(s)

``

## debugColor

    debugColor :

### Type(s)

``

## colorsSet

    colorsSet :

### Type(s)

``

## The message output level that should be used. The default is <code>Project::MSG_VERBOSE</code>.

    msgOutputLevel : integer

inherited

var |

### Type(s)

`integer`

## Time that the build started

    startTime : integer

inherited

var |

### Type(s)

`integer`

## Stream to use for standard output.

    out : \OutputStream

inherited

var | Stream to use for standard output.

### Type(s)

`\OutputStream`

## Stream to use for error output.

    err : \OutputStream

inherited

var | Stream to use for error output.

### Type(s)

`\OutputStream`

## emacsMode

    emacsMode :

inherited

### Type(s)

``